<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="Box04" description="Компонент шкаф для 4 ячеек"
	fileName="BankBox04.jar" className="org.mati.npc.components.bank.box.Box04"
	version="8791" time="17.02.2009 01:04:56">

	<Group>Банковские депозитарные ячейки</Group>

	<INLink name="InDepositary" description=""
		interfaceName="org.mati.npc.interfaces.bank.NPCBoxHandler"
		linksNumber="1" nullable="false">
	</INLink>

	<OUTLink name="OutAlarm" description="Тревога"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutBeep" description="Гудок"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>

	<INLink name="InLock01" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="false">
	</INLink>
	<OUTLink name="OutLock01" description=""
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" nullable="false">
	</OUTLink>
	<Attribute name="CellNum01" description="" nullable="false"
		type="java.lang.Integer">
	</Attribute>
	<Attribute name="CellDbId01" description="" nullable="false"
		type="java.lang.Integer">
	</Attribute>

	<INLink name="InLock02" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="false">
	</INLink>
	<OUTLink name="OutLock02" description=""
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" nullable="false">
	</OUTLink>
	<Attribute name="CellNum02" description="" nullable="false"
		type="java.lang.Integer">
	</Attribute>
	<Attribute name="CellDbId02" description="" nullable="false"
		type="java.lang.Integer">
	</Attribute>

	<INLink name="InLock03" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="false">
	</INLink>
	<OUTLink name="OutLock03" description=""
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" nullable="false">
	</OUTLink>
	<Attribute name="CellNum03" description="" nullable="false"
		type="java.lang.Integer">
	</Attribute>
	<Attribute name="CellDbId03" description="" nullable="false"
		type="java.lang.Integer">
	</Attribute>

	<INLink name="InLock04" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="false">
	</INLink>
	<OUTLink name="OutLock04" description=""
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" nullable="false">
	</OUTLink>
	<Attribute name="CellNum04" description="" nullable="false"
		type="java.lang.Integer">
	</Attribute>
	<Attribute name="CellDbId04" description="" nullable="false"
		type="java.lang.Integer">
	</Attribute>

</ClassComponent>